"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RemoteOpenerServiceImpl = void 0;
const tslib_1 = require("tslib");
const di_1 = require("@opensumi/di");
const ide_connection_1 = require("@opensumi/ide-connection");
const ide_core_common_1 = require("@opensumi/ide-core-common");
const common_1 = require("../common");
let RemoteOpenerServiceImpl = class RemoteOpenerServiceImpl extends ide_connection_1.RPCService {
    setConnectionClientId(clientId) {
        this.clientId = clientId;
        this.remoteOpenerClient.setRemoteOpenerServiceInstance(clientId, this);
    }
    removeConnectionClientId(clientId) {
        this.remoteOpenerClient.removeRemoteOpenerServiceInstance(clientId);
    }
    async openExternal(args) {
        if (args.clientId !== this.clientId) {
            throw new Error(`Unknown client id ${args.clientId}`);
        }
        try {
            await this.client.$openExternal(args.type, args.type === 'file' ? ide_core_common_1.Uri.file(args.file) : ide_core_common_1.Uri.parse(args.url));
        }
        catch (err) {
            // eslint-disable-next-line no-console
            console.log(`Error opening external error: ${err.message || err}`);
        }
    }
};
tslib_1.__decorate([
    (0, di_1.Autowired)(common_1.RemoteOpenerClientToken),
    tslib_1.__metadata("design:type", Object)
], RemoteOpenerServiceImpl.prototype, "remoteOpenerClient", void 0);
RemoteOpenerServiceImpl = tslib_1.__decorate([
    (0, di_1.Injectable)()
], RemoteOpenerServiceImpl);
exports.RemoteOpenerServiceImpl = RemoteOpenerServiceImpl;
//# sourceMappingURL=opener.service.js.map